ServerProtocol

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.server
Class ServerProtocol

    java.lang.Object
      thegroup.projectcddb.server.ServerProtocol

public final class ServerProtocol
extends java.lang.Object

Implements CDDB layer 1 protocol; provides appropriate responses to client (music player) requests

Version:
  1.0
Author:
  Zachary Carter

Method Summary
`java.lang.String` | `getBanner()` called immediately after a connection is established with a CDDB client, prompts CDDB client request
`java.lang.String` | `processInput(java.lang.String clientCommand)` Parses input from client and provides appropriatly formatted response
`void` | `setStatus(int status)` called immediately after a connection is established with a CDDB client, prompts CDDB client request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processInput

    public java.lang.String processInput(java.lang.String clientCommand)
                                  throws java.lang.Exception

  Parses input from client and provides appropriatly formatted response

  Parameters:
    `clientCommand` - String
  Returns:
    String a response to the client's input
  Throws:
    `java.lang.Exception`

### getBanner

    public java.lang.String getBanner()

  called immediately after a connection is established with a CDDB client, prompts CDDB client request

  Returns:
    String this CDDBP Server's Banner

### setStatus

    public void setStatus(int status)

  called immediately after a connection is established with a CDDB client, prompts CDDB client request

  Returns:
    String this CDDBP Server's Banner

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD